Subject: [PATCH v2 0/5] ACPI probing infrastructure

From: [email-masked] (Rafael J. Wysocki)
Date: Mon, 28 Sep 2015 15:53:52 +0200

On Monday, September 28, 2015 01:59:19 PM Marc Zyngier wrote:
> Hi Rafael,
> 
> On 26/09/15 00:45, Rafael J. Wysocki wrote:
> 
> >> Marc Zyngier (5):
> >>   acpi: Add basic device probing infrastructure
> >>   irqchip/acpi: Add probing infrastructure for ACPI-based irqchips
> >>   irqchip/gic: Convert the GIC driver to ACPI probing
> >>   clocksource/acpi: Add probing infrastructure for ACPI-based
> >>     clocksources
> >>   clocksource/arm_arch_timer: Convert to ACPI probing
> > 
> > I'm generally fine with this (modulo a couple of super-minor nits in the
> > first patch), but it needs ACKs from Thomas for the irqchip-related and
> > clocksource-related patches.
> 
> Sure. I've now addressed your comments, and I'll post the updated series
> later today.
> 
> > Plus [3/5] needs to be rebased on top of the Al's patches removing BAD_MADT_ENTRY
> > (currently in my bleeding-edge branch).
> 
> Al's patches were there on Friday, but vanished over the weekend. Do you
> have another (stable?) branch with these patches in (assuming they are
> still aimed at 4.4)?

The Al's patches are gone for now, because they introduced a 0-day testing
regression.

I guess this means I can apply your patches first and ask Al to rebase his
next version on them.

Thanks,
Rafael